Page MenuHomePhabricator

Languages cogwheel missing accessibility features
Closed, ResolvedPublic

Description

span + click handler does not make an accessible feature.

Please add: attr('tabIndex', 0).attr('role', 'button')


Version: master
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50793

Details

Reference
bz50575

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:01 AM
bzimport set Reference to bz50575.
TheDJ created this task.Jul 2 2013, 11:50 AM

role=button makes sense but I don't understand why we would want to set tabIndex for it.

TheDJ added a comment.Jul 2 2013, 5:15 PM

tabIndex marks an element as focusable in the accessibility dom (which a span or div by default isn't). Alternatively, you can also just use an actual button of course.

https://developer.mozilla.org/en-US/docs/Accessibility/Keyboard-navigable_JavaScript_widgets

Change 71784 had a related patch set uploaded by Santhosh:
Accessibility attributes for ULS trigger

https://gerrit.wikimedia.org/r/71784

Change 71998 had a related patch set uploaded by Vogone:
Fixed import source for testwikidatawiki

https://gerrit.wikimedia.org/r/71998

Vogone added a comment.Jul 7 2013, 7:16 PM

(In reply to comment #4)

Change 71998 had a related patch set uploaded by Vogone:
Fixed import source for testwikidatawiki
https://gerrit.wikimedia.org/r/71998

I'm sorry. This one is unrelated to this bug.

Change 71784 merged by jenkins-bot:
Accessibility attributes for ULS trigger

https://gerrit.wikimedia.org/r/71784